Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deWorldManager Class Reference

`#include <deWorld_priv.hpp>`

Inheritance diagram for deWorldManager:

[legend]
Collaboration diagram for deWorldManager:

[legend]
List of all members.

## Public Member Functions
| ~deWorldManager ()
deWorldID | CreateWorld ()
| create a world that can then be used to store data
IdeWorld * | GetWorld (deWorldID ID)
| retrieve a created world
IdeWorldObject * | GetWorldObject (deWorldID WID, deObjectID OID)
| retrieve a world object without need for retrieving the world pointer
long | GetRscInterfaceID ()
| get the deResource interface ID for deWorld
long | GetUniqueWOInterfaceID ()
| obtain a unique ID to use when using classes derived from deWorldObject
deBoolean | RegisterWOClass (const char *ClassName, IdeWorldObject_Creator creator)
| register a WorldObject class, which can then be loaded by string identifier
deBoolean | Initialize ()
deBoolean | ShutDown ()
deBoolean | RemoveWorld (deWorldID WorldID)
deWorldID | AddWorld (deWorld *pWorld)
IdeWorldObject * | CreateWorldObject (const char *ClassName)
## Static Public Attributes
long | s_WorldRscInterfaceID = 0
## Private Member Functions
| deWorldManager ()
## Private Attributes
long | m_LatestWOID
IdeIDServer * | m_WorldIDServer
deTHashString< IdeWorldObject_Creator > | m_TypeHash
## Friends
IdeWorldManager * | IdeWorld_GetManager ()
| Exported function for retrieving a pointer to the deWorldManager singleton.

## Constructor & Destructor Documentation

deWorldManager::deWorldManager | ( |  | ) | `[private]`

deWorldManager::~deWorldManager | ( |  | ) |

## Member Function Documentation

deWorldID deWorldManager::AddWorld | ( | deWorld * | pWorld | ) |

deWorldID deWorldManager::CreateWorld | ( |  | ) | `[virtual]`

| create a world that can then be used to store data Implements IdeWorldManager.

IdeWorldObject * deWorldManager::CreateWorldObject | ( | const char * | ClassName | ) |

long deWorldManager::GetRscInterfaceID | ( |  | ) | `[virtual]`

| get the deResource interface ID for deWorld Implements IdeWorldManager.

long deWorldManager::GetUniqueWOInterfaceID | ( |  | ) | `[virtual]`

| obtain a unique ID to use when using classes derived from deWorldObject Implements IdeWorldManager.

IdeWorld * deWorldManager::GetWorld | ( | deWorldID | ID | ) | `[virtual]`

| retrieve a created world Implements IdeWorldManager.

IdeWorldObject * deWorldManager::GetWorldObject | ( | deWorldID | WID,
|  | deObjectID | OID
| ) | `[virtual]`

| retrieve a world object without need for retrieving the world pointer Implements IdeWorldManager.

deBoolean deWorldManager::Initialize | ( |  | ) |

deBoolean deWorldManager::RegisterWOClass | ( | const char * | ClassName,
|  | IdeWorldObject_Creator | creator
| ) | `[virtual]`

| register a WorldObject class, which can then be loaded by string identifier Implements IdeWorldManager.

deBoolean deWorldManager::RemoveWorld | ( | deWorldID | WorldID | ) |

deBoolean deWorldManager::ShutDown | ( |  | ) |

## Friends And Related Function Documentation

IdeWorldManager* IdeWorld_GetManager | ( |  | ) | `[friend]`

| Exported function for retrieving a pointer to the deWorldManager singleton.

## Member Data Documentation

long deWorldManager::m_LatestWOID`[private]`

deTHashString<IdeWorldObject_Creator> deWorldManager::m_TypeHash`[private]`

IdeIDServer* deWorldManager::m_WorldIDServer`[private]`

long deWorldManager::s_WorldRscInterfaceID = 0`[static]`

The documentation for this class was generated from the following files:

- deWorld_priv.hpp
- deWorld.cpp